package com.ted;

import java.security.Principal;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.support.SpringBootServletInitializer;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@SpringBootApplication
public class MyApplication extends SpringBootServletInitializer {
	public static void main(String[] args) {
		SpringApplication.run(MyApplication.class, args);
	}
	
	@GetMapping("/")
    public String getName(Principal principal) {
        return principal.getName();
    }
	
}

